package com.cpp.web.domain.station;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.common.core.domain.BaseEntity;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.station.enums.EquipmentTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;


/**
 * cpp_inverter_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_inverter_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_inverter_info")
public class InverterInfo extends BaseCppEntity {

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 制造商
     */
    @ApiModelProperty(value = "制造商")
    private String manufacturer;

    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String modelNumber;

    /**
     * 逆变器是否样板机 1:是 0:不是
     */
    @ApiModelProperty(value = "逆变器是否样板机 1:是 0:不是")
    private String sample;

}
